OperationContext.OperationCode (Apache Geode 1.9.2)
Date: 2019-10-15

org.apache.geode.cache.operations

## Enum OperationContext.OperationCode

- java.lang.Object
- - java.lang.Enum<OperationContext.OperationCode>
  - - org.apache.geode.cache.operations.OperationContext.OperationCode

- All Implemented Interfaces:
    Serializable, Comparable<OperationContext.OperationCode>
  Enclosing class:
    OperationContext

      public static enum OperationContext.OperationCode
      extends Enum<OperationContext.OperationCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSE_CQ` Deprecated.
    `CONTAINS_KEY` Deprecated.
    `DESTROY` Deprecated.
    `EXECUTE_CQ` Deprecated.
    `EXECUTE_FUNCTION` Deprecated.
    `GET` Deprecated.
    `GET_DURABLE_CQS` Deprecated.
    `INVALIDATE` Deprecated.
    `KEY_SET` Deprecated.
    `PUT` Deprecated.
    `PUTALL` Deprecated.
    `QUERY` Deprecated.
    `REGION_CLEAR` Deprecated.
    `REGION_CREATE` Deprecated.
    `REGION_DESTROY` Deprecated.
    `REGISTER_INTEREST` Deprecated.
    `REMOVEALL` Deprecated.
    `STOP_CQ` Deprecated.
    `UNREGISTER_INTEREST` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCloseCQ()` Deprecated. Use `getOperationCode() == CLOSE_CQ` instead
    `boolean` | `isContainsKey()` Deprecated. Use `getOperationCode() == CONTAINS_KEY` instead
    `boolean` | `isDestroy()` Deprecated. Use `getOperationCode() == DESTROY` instead
    `boolean` | `isExecuteCQ()` Deprecated. Use `getOperationCode() == EXECUTE_CQ` instead
    `boolean` | `isExecuteRegionFunction()` Deprecated. Use `getOperationCode() == EXECUTE_FUNCTION` instead
    `boolean` | `isGet()` Deprecated. Use `getOperationCode() == GET` instead
    `boolean` | `isGetDurableCQs()` Deprecated. Use `getOperationCode() == GET_DURABLE_CQS` instead
    `boolean` | `isInvalidate()` Deprecated. Use `getOperationCode() == INVALIDATE` instead
    `boolean` | `isKeySet()` Deprecated. Use `getOperationCode() == KEY_SET` instead
    `boolean` | `isPut()` Deprecated. Use `getOperationCode() == PUT` instead
    `boolean` | `isPutAll()` Deprecated. Use `getOperationCode() == PUTALL` instead
    `boolean` | `isQuery()` Deprecated. Use `getOperationCode() == QUERY` instead
    `boolean` | `isRegionClear()` Deprecated. Use `getOperationCode() == REGION_CLEAR` instead
    `boolean` | `isRegionCreate()` Deprecated. Use `getOperationCode() == REGION_CREATE` instead
    `boolean` | `isRegionDestroy()` Deprecated. Use `getOperationCode() == REGION_DESTROY` instead
    `boolean` | `isRegisterInterest()` Deprecated. Use `getOperationCode() == REGISTER_INTEREST` instead
    `boolean` | `isRemoveAll()` Deprecated. Use `getOperationCode() == REMOVEALL` instead
    `boolean` | `isStopCQ()` Deprecated. Use `getOperationCode() == STOP_CQ` instead
    `boolean` | `isUnregisterInterest()` Deprecated. Use `getOperationCode() == UNREGISTER_INTEREST` instead
    `static OperationContext.OperationCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OperationContext.OperationCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          @Deprecated
          public static final OperationContext.OperationCode GET

      Deprecated.

    - #### PUT

          @Deprecated
          public static final OperationContext.OperationCode PUT

      Deprecated.

    - #### PUTALL

          @Deprecated
          public static final OperationContext.OperationCode PUTALL

      Deprecated.

    - #### REMOVEALL

          @Deprecated
          public static final OperationContext.OperationCode REMOVEALL

      Deprecated.

    - #### DESTROY

          @Deprecated
          public static final OperationContext.OperationCode DESTROY

      Deprecated.

    - #### INVALIDATE

          @Deprecated
          public static final OperationContext.OperationCode INVALIDATE

      Deprecated.

    - #### REGISTER_INTEREST

          @Deprecated
          public static final OperationContext.OperationCode REGISTER_INTEREST

      Deprecated.

    - #### UNREGISTER_INTEREST

          @Deprecated
          public static final OperationContext.OperationCode UNREGISTER_INTEREST

      Deprecated.

    - #### CONTAINS_KEY

          @Deprecated
          public static final OperationContext.OperationCode CONTAINS_KEY

      Deprecated.

    - #### KEY_SET

          @Deprecated
          public static final OperationContext.OperationCode KEY_SET

      Deprecated.

    - #### QUERY

          @Deprecated
          public static final OperationContext.OperationCode QUERY

      Deprecated.

    - #### EXECUTE_CQ

          @Deprecated
          public static final OperationContext.OperationCode EXECUTE_CQ

      Deprecated.

    - #### STOP_CQ

          @Deprecated
          public static final OperationContext.OperationCode STOP_CQ

      Deprecated.

    - #### CLOSE_CQ

          @Deprecated
          public static final OperationContext.OperationCode CLOSE_CQ

      Deprecated.

    - #### REGION_CLEAR

          @Deprecated
          public static final OperationContext.OperationCode REGION_CLEAR

      Deprecated.

    - #### REGION_CREATE

          @Deprecated
          public static final OperationContext.OperationCode REGION_CREATE

      Deprecated.

    - #### REGION_DESTROY

          @Deprecated
          public static final OperationContext.OperationCode REGION_DESTROY

      Deprecated.

    - #### EXECUTE_FUNCTION

          @Deprecated
          public static final OperationContext.OperationCode EXECUTE_FUNCTION

      Deprecated.

    - #### GET_DURABLE_CQS

          @Deprecated
          public static final OperationContext.OperationCode GET_DURABLE_CQS

      Deprecated.

  - ### Method Detail

    - #### values

          public static OperationContext.OperationCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationContext.OperationCode c : OperationContext.OperationCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationContext.OperationCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isGet

          @Deprecated
          public boolean isGet()

      Deprecated. Use `getOperationCode() == GET` instead
      Check if this is an entry get operation.
      Returns:
        true if this is an entry get operation

    - #### isPut

          @Deprecated
          public boolean isPut()

      Deprecated. Use `getOperationCode() == PUT` instead
      Check if this is a entry create/update operation.
      Returns:
        true if this is a entry create/update operation.

    - #### isPutAll

          @Deprecated
          public boolean isPutAll()

      Deprecated. Use `getOperationCode() == PUTALL` instead
      Check if this is a map putAll operation.
      Returns:
        true if this is a map putAll operation.

    - #### isRemoveAll

          @Deprecated
          public boolean isRemoveAll()

      Deprecated. Use `getOperationCode() == REMOVEALL` instead
      Check if this is a region removeAll operation.
      Returns:
        true if this is a region removeAll operation.
      Since:
        GemFire 8.1

    - #### isDestroy

          @Deprecated
          public boolean isDestroy()

      Deprecated. Use `getOperationCode() == DESTROY` instead
      Check if this is an entry destroy operation.
      Returns:
        true if this is an entry destroy operation.

    - #### isInvalidate

          @Deprecated
          public boolean isInvalidate()

      Deprecated. Use `getOperationCode() == INVALIDATE` instead
      Check if this is an entry invalidate operation.
      Returns:
        true if this is an entry invalidate operation.

    - #### isRegisterInterest

          @Deprecated
          public boolean isRegisterInterest()

      Deprecated. Use `getOperationCode() == REGISTER_INTEREST` instead
      Check if this is a register interest operation.
      Returns:
        true if this is a register interest operation.

    - #### isUnregisterInterest

          @Deprecated
          public boolean isUnregisterInterest()

      Deprecated. Use `getOperationCode() == UNREGISTER_INTEREST` instead
      Check if this is an unregister interest operation.
      Returns:
        true if this is an unregister interest operation.

    - #### isContainsKey

          @Deprecated
          public boolean isContainsKey()

      Deprecated. Use `getOperationCode() == CONTAINS_KEY` instead
      Check if this is a region `containsKey` operation.
      Returns:
        true if this is a region `containsKey` operation.

    - #### isKeySet

          @Deprecated
          public boolean isKeySet()

      Deprecated. Use `getOperationCode() == KEY_SET` instead
      Check if this is a region `keySet` operation.
      Returns:
        true if this is a region `keySet` operation.

    - #### isQuery

          @Deprecated
          public boolean isQuery()

      Deprecated. Use `getOperationCode() == QUERY` instead
      Check if this is a cache query operation.
      Returns:
        true if this is a cache query operation.

    - #### isExecuteCQ

          @Deprecated
          public boolean isExecuteCQ()

      Deprecated. Use `getOperationCode() == EXECUTE_CQ` instead
      Check if this is a continuous query execution operation.
      Returns:
        true if this is a continuous query execution operation.

    - #### isStopCQ

          @Deprecated
          public boolean isStopCQ()

      Deprecated. Use `getOperationCode() == STOP_CQ` instead
      Check if this is a continuous query stop operation.
      Returns:
        true if this is a continuous query stop operation.

    - #### isCloseCQ

          @Deprecated
          public boolean isCloseCQ()

      Deprecated. Use `getOperationCode() == CLOSE_CQ` instead
      Check if this is a continuous query close operation.
      Returns:
        true if this is a continuous query close operation.

    - #### isRegionClear

          @Deprecated
          public boolean isRegionClear()

      Deprecated. Use `getOperationCode() == REGION_CLEAR` instead
      Check if this is a region clear operation.
      Returns:
        true if this is a region clear operation.

    - #### isRegionCreate

          @Deprecated
          public boolean isRegionCreate()

      Deprecated. Use `getOperationCode() == REGION_CREATE` instead
      Check if this is a region create operation.
      Returns:
        true if this is a region create operation.

    - #### isRegionDestroy

          @Deprecated
          public boolean isRegionDestroy()

      Deprecated. Use `getOperationCode() == REGION_DESTROY` instead
      Check if this is a region destroy operation.
      Returns:
        true if this is a region destroy operation.

    - #### isExecuteRegionFunction

          @Deprecated
          public boolean isExecuteRegionFunction()

      Deprecated. Use `getOperationCode() == EXECUTE_FUNCTION` instead
      Check if this is a execute region function operation.
      Returns:
        true if this is a execute region function operation.

    - #### isGetDurableCQs

          @Deprecated
          public boolean isGetDurableCQs()

      Deprecated. Use `getOperationCode() == GET_DURABLE_CQS` instead
      Check if this is a get durable cqs operation.
      Returns:
        true if this is a get durable cqs operation.